using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
    public interface IMediaFileLogic
    {
        bool Create(MediaFileBindingModel model);
        bool Update(MediaFileBindingModel model);
        bool Delete(MediaFileBindingModel model);
        List<MediaFileViewModel>? ReadList(MediaFileSearchModel? model);
        MediaFileViewModel? ReadElement(MediaFileSearchModel model);
    }
}
